Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 591101 - Unable to open "Accounts" dialog through Empathy
Unable to open "Accounts" dialog through Empathy
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: empathy (Show other bugs)
13
All Linux
medium Severity high
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
:
: 604213 609293 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-11 08:58 EDT by François Kooman
Modified: 2011-06-27 12:16 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 12:16:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 623181 None None None Never

  None (edit)
Description François Kooman 2010-05-11 08:58:28 EDT
Description of problem:

I'm unable to open the "Accounts" dialog through Empathy itself. It works through System -> Preferences -> Messaging and VoIP accounts

Version-Release number of selected component (if applicable):

empathy-2.30.1-2.fc13.x86_64

How reproducible:

Always

Steps to Reproduce:
1. Start Empathy with already configured accounts
2. Try to open "Accounts dialog" through Edit -> Accounts (or press F4)
  
Actual results:

Doesn't open Account configuration dialog.

Expected results:

Should open Account configuration dialog.

Additional info:

Either it should be fixed to open the account dialog, or removed from Empathy "Edit" menu as to not be confusing I guess.
Comment 1 Matt Chan 2010-06-24 12:55:03 EDT
I can confirm this behaviour in F13 on an x86_64 build. It's exactly as reported. The accounts dialog doesn't start. 

When started from terminal, the following error appears:

(empathy:3870): empathy-WARNING **: Failed to open accounts dialog: Failed to fork (Cannot allocate memory)

Matt
Comment 2 Matt Chan 2010-06-24 12:57:33 EDT
*** Bug 604213 has been marked as a duplicate of this bug. ***
Comment 3 Brian Pepple 2010-06-29 19:18:13 EDT
*** Bug 609293 has been marked as a duplicate of this bug. ***
Comment 4 Bug Zapper 2010-07-30 07:36:08 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Andy Lawrence 2010-08-14 10:12:46 EDT
Yup, same here:


(empathy:19956): empathy-WARNING **: Failed to open accounts dialog: Failed to fork (Cannot allocate memory)


empathy-2.30.2-3.fc13.x86_64

Empathy does not crash.
Comment 6 Alex Hudson (Fedora Address) 2010-08-15 09:55:26 EDT
So, some additional data: my empathy's virtual memory size is big. Way big:

  PID USER      PR  NI  VIRT  RES  SHR S %CPU %MEM    TIME+  COMMAND
 2066 alex      20   0 7916m  33m  17m S  0.0  1.7   0:02.33 empathy

Most of this memory is coming from a slightly strange location according to the process smaps:

7f3ef6a72000-7f40bb7f7000 rw-p 00000000 00:00 0 
Size:            7419412 kB
Rss:                1468 kB
Pss:                1468 kB
Shared_Clean:          0 kB
Shared_Dirty:          0 kB
Private_Clean:         0 kB
Private_Dirty:      1468 kB
Referenced:            0 kB
Swap:                  0 kB

I don't know if the ordering always holds, but the location before is for /usr/sh
are/locale/en_GB/LC_MESSAGES/empathy.mo and after is /usr/lib64/dri/swrast_dri.so. 

Might be worth other reporters looking at their memory stats, but I suspect this is probably why it can't allocate any more memory....
Comment 7 Alex Hudson (Fedora Address) 2010-08-16 05:40:04 EDT
Last bit of info. This actually is starting to look like bug 575825 - i.e., empathy's falling over if you have a software GL renderer.
Comment 8 Alex Hudson (Fedora Address) 2010-08-16 07:22:57 EDT
Recompiling empathy with --enable-map=no appears to fix this bug completely.

I would suggest that this be done until the above bug is fixed - it makes empathy pretty much completely unusable on systems with software rasterisers, because you can never get into the accounts dialog to set it up.
Comment 9 Brian Lane 2010-08-16 12:26:46 EDT
I can run empathy-accounts just fine from the command line, it is only when it is launched from the main empathy gui that it fails.
Comment 10 Craig Ringer 2010-09-05 08:41:24 EDT
I'm seeing this issue on Fedora 13 x64, empathy-2.30.3-1.fc13.x86_64 .

Launching empathy-accounts separately works fine.

Running strace on empathy, the failure appears to be a clone() syscall:

pipe([17, 18])                          = 0
pipe([19, 20])                          = 0
clone(child_stack=0, flags=CLONE_CHILD_CLEARTID|CLONE_CHILD_SETTID|SIGCHLD, child_tidptr=0x7fee18b15c30) = -1 ENOMEM (Cannot allocate memory)
close(17)                               = 0
close(18)                               = 0
close(19)                               = 0
close(20)                               = 0
write(2, "\n(empathy:24087): empathy-WARNIN"..., 110) = 110


In /proc/maps, the biggest allocation:

7f9e42c3c000-7f9f9b489000 rw-p 00000000 00:00 0 
Size:            5644596 kB
Rss:                1468 kB
Pss:                1468 kB
Shared_Clean:          0 kB
Shared_Dirty:          0 kB
Private_Clean:         0 kB
Private_Dirty:      1468 kB
Referenced:         1468 kB
Swap:                  0 kB
KernelPageSize:        4 kB
MMUPageSize:           4 kB

on my Fedora 13 x64 machine appears between some fontconfig caches and /usr/lib64/dri/swrast_dri.so:

7f9e42c33000-7f9e42c3c000 r--s 00000000 08:01 135019                     /var/cache/fontconfig/12b26b760a24f8b4feb03ad48a333a72-le64.cache-3
7f9e42c3c000-7f9f9b489000 rw-p 00000000 00:00 0 
7f9f9b489000-7f9f9b66b000 r-xp 00000000 08:01 956083                     /usr/lib64/dri/swrast_dri.so
Comment 11 Craig Ringer 2010-09-05 08:44:58 EDT
As GL rendering has been mentioned: This machine, which I can reproduce the issue on, is running nouveau (xorg-x11-drv-nouveau-0.0.16-8.20100423git13c1043.fc13.x86_64) . glxinfo reports "direct rendering: Yes" but "OpenGL renderer string: Software Rasterizer" so I presume it's using software GL.
Comment 12 Alex Hudson (Fedora Address) 2010-09-09 05:28:28 EDT
I hate to nag, but is there any chance of some movement on this issue?

* The upstream bug has been closed incomplete - this is probably Ok since I guess we know the problem is with the software Gl stack, but they should probably be updated.

* While this is reported against F14, it's clearly an F13 bug [too ?]. I've changed this, since all the package NVRs people have mentioned are F13 and F13 is the current stable release.

* This has been open months and we have a valid work-around. Is the "Contacts on a map" feature so compelling?

* I've bumped both the priority and severity. This package is entirely unusable in its current state for presumably some large section of nouveau users (maybe 3D accel. makes a difference, but the hw support for that is limited), because you cannot configure it. I don't think that deserves the previous low priority and medium severity.

I realise people can recompile the package, but it's not easy and just gets wiped out on the next update anyway.
Comment 13 Bug Zapper 2011-06-02 10:11:38 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Bug Zapper 2011-06-27 12:16:33 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.